Page MenuHomePhabricator

MediaWiki:mwe-upwiz-source-ownwork-assert-any-license needs working GENDER suport
Closed, ResolvedPublic

Description

The message in MediaWiki:mwe-upwiz-source-ownwork-assert-any-license
is having this problem:

  • The parameter can be both a user name and a real name (or possibly any nonsense that a wiki user typed)
  • The message should support GENDER for the user name case.

There is no way to safely do this since a real name of one person may well be a username of another person. Simply using GENDER and accepting the case "user not found" as "unspecified gender" would not work. Since the upload wizard is likely meant to be a quite central piece being heavily used in Wikimedia Commons in the future, we need a workable solution.

There are at least these messages in Extension:
having the same problem:

  • MediaWiki:Wm-license-self-multiple-licenses-with-author
  • MediaWiki:Wm-license-self-one-license-with-author
  • MediaWiki:Wm-license-pd-author-with-author-any-purpose
  • MediaWiki:Wm-license-pd-author-with-author-text

It may be worth finding a common solution for them all.


Version: unspecified
Severity: normal

Details

Reference
bz28525

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:26 PM
bzimport added projects: UploadWizard, I18n.
bzimport set Reference to bz28525.

I'm not sure I fully understand what needs to change, here: From what I understand, GENDER can be used in translations already, and deals with "unspecified gender" as gender-neutral, depending on the settings for that language, which is just about the best we can do. If that's the case, I'm not sure there's an issue here. Am I missing something?

If the parameter is a user name, it should link to the user page and the message should be genderized.

Otherwise, this is not possible.

A decision, which case we have, cannot be made automatically.

OK, I did a bit more research. I think we have a bit of a misunderstanding, here.

The $2 parameter for this message is not a user name, it's actually an <input type="text" /> for the name of the person uploading the file. That input could have anything in it, up to and including absolutely nothing, so it's impossible to genderize it. Besides, the parameter is thrown for a loop when $2 = "<input type="text" value="kjasdf" />" and so on. There would be no way to genderize without dynamically changing the message on every keystroke--which gets into performance problems, possibly causing missed keystrokes.

Does that make sense? Is there a way to do this that I'm missing?

Patch needs rework - Amir, do you plan to work on this (as you are set as assignee)?

Change 31180 abandoned by Siebrand:
(bug 28525) Add GENDER support for mwe-upwiz-source-ownwork-assert-*

Reason:
Abandoning this. Please revive if possible and with the comments addressed.

https://gerrit.wikimedia.org/r/31180

@Amire80: This issue has been assigned to you a while ago.
Could you please provide a status update and inform us whether you are still working (or still plan to work) on this issue?
Only in case you do not plan to work on this issue anymore, should the assignee be removed? Thanks.

Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptSep 2 2015, 9:48 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 6:32 PM

Change 267444 had a related patch set uploaded (by MtDu):
Add working GENDER support

https://gerrit.wikimedia.org/r/267444

Change 267444 merged by jenkins-bot:
Add working GENDER support

https://gerrit.wikimedia.org/r/267444

siebrand closed this task as Resolved.Feb 18 2016, 8:34 AM